## crashmail 0.62

=== src/oslib_os2/Makefile ===
INCDIR = ../

CC = gcc -I $(INCDIR) -DPLATFORM_OS2 -Wall
AR = ar -ru
RM = del

OBJS = osfile.o osdir.o osmisc.o osmem.o ospattern.o os.o

oslib.a : $(OBJS)
	$(AR) oslib.a $(OBJS)

# os

osfile.o: osfile.c
	$(CC) -c osfile.c -o osfile.o
 
osmisc.o : osmisc.c
	$(CC) -c osmisc.c -o osmisc.o

osdir.o : osdir.c
	$(CC) -c osdir.c -o osdir.o

osmem.o : osmem.c
	$(CC) -c osmem.c -o osmem.o

ospattern.o : ospattern.c
	$(CC) -c ospattern.c -o ospattern.o

os.o: os.c
	$(CC) -c os.c -o os.o

clean:
	$(RM) *.o *.a

## crashmail 0.71

=== src/Makefile ===
# type either "make linux" or "make win32" to compile

help:
	@echo You can use this Makefile in the following ways:
	@echo make linux ............ Make Linux binaries
	@echo make win32 ............ Make Win32 binaries
	@echo make os2 .............. Make OS/2 binaries
	@echo make cleanlinux ....... Remove object files under Linux
	@echo make cleanwin32 ....... Remove object files under Win32
	@echo make cleanos2 ......... Remove object files under OS/2
		
linux :
	make -C cmnllib -f Makefile.linux
	make -C jamlib -f Makefile.linux
	make -C oslib_linux 
	make -f Makefile.linux
	
win32 :
	make -C cmnllib -f Makefile.win32
	make -C jamlib -f Makefile.win32
	make -C oslib_win32 
	make -f Makefile.win32

os2 :
	make -C cmnllib -f Makefile.os2
	make -C jamlib -f Makefile.os2
	make -C oslib_os2 
	make -f Makefile.os2

cleanlinux : 
	make -C cmnllib -f Makefile.linux clean
	make -C jamlib -f Makefile.linux clean
	make -C oslib_linux clean
	make -f Makefile.linux clean
	
cleanwin32 : 
	make -C cmnllib -f Makefile.win32 clean
	make -C jamlib -f Makefile.win32 clean
	make -C oslib_win32 clean
	make -f Makefile.win32 clean

cleanos2 : 
	make -C cmnllib -f Makefile.os2 clean
	make -C jamlib -f Makefile.os2 clean
	make -C oslib_os2 clean
	make -f Makefile.os2 clean

=== src/oslib_win32/Makefile ===
INCDIR = ../

CC = gcc -I $(INCDIR) -DPLATFORM_WIN32 -Wall
AR = ar -ru
RM = del

OBJS = osfile.o osdir.o osmisc.o osmem.o ospattern.o os.o

oslib.a : $(OBJS)
	$(AR) oslib.a $(OBJS)

# os

osfile.o : osfile.c
	$(CC) -c osfile.c -o osfile.o
 
osmisc.o : osmisc.c
	$(CC) -c osmisc.c -o osmisc.o

osdir.o : osdir.c
	$(CC) -c osdir.c -o osdir.o

osmem.o : osmem.c
	$(CC) -c osmem.c -o osmem.o

ospattern.o : ospattern.c
	$(CC) -c ospattern.c -o ospattern.o

os.o : os.c
	$(CC) -c os.c -o os.o

clean :
	$(RM) *.o *.a

## crashmail 1.5

=== src/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	@echo make cleanos2 ......... Remove object files under OS/2
 		
 linux :
+	mkdir -p obj
 	make -C cmnllib -f Makefile.linux
 	make -C jamlib -f Makefile.linux
 	make -C oslib_linux

=== tests/Makefile ===
# tests/Makefile

ROUNDUP=./roundup

all:
	$(ROUNDUP)

=== debian/changelog ===
crashmail (1.5-1) unstable; urgency=low

  * New upstream release.
    - Multiple fixes for compile time build issues.
    - Update and reconcile the overall version of Crashmail II with its existing
      tools versioning.
  * Rewrite debian/copyright for machine-readable format.
  * Rewrite debian/rules for use for newer versions of debhelper.
  * Changes to debian/patches/:
    - Use 01-ExamplePrefs.patch to set expected Debian paths in example.prefs.
    - Rewrite 02-Makefile.patch to not strip binaries.
  * Changes to debian/control:
    - Update the Debhelper Build-Depends version to '>= 8'.
    - Add stanza for debugging symbols crashmail-dbg package.
    - Update Standards-Version to v3.9.5, no changes required.
    - Update home page and Vcs* entries for SourceForge project.
    - Remove Homepage entry in binary package stanza as it is not necessary.
  * Add debian/README.source file, detailing using quilt for source patching.
  * Update the Debhelper compatibility to '8' in debian/compat.
  * Add debian/crashlistout.1 for the missing man page.
  * Add file debian/watch for use by uscan.

 -- Robert James Clay <jame@rocasa.us>  Wed, 23 Apr 2014 07:53:14 -0400

crashmail (0.71-5) unstable; urgency=low

  * New Maintainer. (Closes: #693229)
  * Move installation of doc/AreafixHelp.txt to debian/install.
  * Set 'Packaged for Debian by' to jame@rocasa.us in debian/copyright.
  * Move installation of doc files from the old top level Makefile to the
    dh_installdocs command line by adding them to a debian/crashmail.docs file.
  * Add usage of the CPPFLAGS,CFLAGS,and LDFLAGS variables to necessary src/
    directory Makefile.linux files.
  * Changes to debian/control:
    - Add 'dpkg-dev (>= 1.16.1~)' to Build-Depends. 
    - Update Standards-Version to v3.9.4, no changes required.
    - Replace the Suggested non-free lha package with the unar package.
  * Changes to debian/rules:
    - Add build-arch and build-indep targets.
    - Update CPPFLAGS, CFLAGS, and LDFLAGS using dpkg-buildflags.
    - Moved installation of man pages from the old top level Makefile to the
      dh_installman command line.
    - Moved installation of example files from the old top level Makefile to a
      dh_installexamples command line.
    - Moved installation of executables from the old top level Makefile to a
      dh_install command line and a debian/crashmail.install file.
    - Move the make build & clean lines from the old top level Makefile to their
      corresponding debian/rules build and clean targets.
    - Move the bin directory lines from the old top level Makefile.

 -- Robert James Clay <jame@rocasa.us>  Fri, 25 Jan 2013 21:04:40 -0500

crashmail (0.71-4) unstable; urgency=low

  * Fix build problems on kFreeBSD.
   (Closes: Bug#592481)

 -- Peter Krefting <peterk@debian.org>  Thu, 12 Aug 2010 07:45:00 +0100

crashmail (0.71-3) unstable; urgency=low

  * Fix errors on 64-bit architectures.
   (Closes: Bug#511223)

 -- Peter Krefting <peterk@debian.org>  Sat, 11 Jul 2009 20:45:00 +0100

crashmail (0.71-2) unstable; urgency=low

  * Added support for installing unstripped binaries.
   (Closes: Bug#436670)
  * Updated policy and debhelper usage.

 -- Peter Karlsson <peterk@debian.org>  Sun, 02 Sep 2007 20:45:00 +0100

crashmail (0.71-1) unstable; urgency=low

  * New upstream release.

 -- Peter Karlsson <peterk@debian.org>  Wed, 28 Jul 2004 19:20:00 +0100

crashmail (0.70-2) unstable; urgency=low

  * Added missing document "filter.txt" to the package.

 -- Peter Karlsson <peterk@debian.org>  Mon, 22 Dec 2003 21:00:00 +0100

crashmail (0.70-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright file to match current license terms.

 -- Peter Karlsson <peterk@debian.org>  Sun, 14 Dec 2003 00:00:00 +0100

crashmail (0.62-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.5.5:
   - Move the AreafixHelp.txt to /usr/share/crashmail since it is
     referenced from the sample configuration.

 -- peter karlsson <peterk@debian.org>  Fri, 17 Aug 2001 22:45:00 +0200

crashmail (0.60-3) unstable; urgency=low

  * Bugfix for crashwrite: No longer cut lines longer than 100 characters.

 -- peter karlsson <peterk@debian.org>  Fri, 16 Mar 2001 22:45:00 +0100

crashmail (0.60-2) unstable; urgency=low

  * New maintainer (previously sponsored).
  * Updated to Standards-Version 3.0.1.
  * Added Build-Depends.
  * Suggests goldedplus (Fidonet reader).
  * Move sample preferences file to be compliant with debian-policy.

 -- peter karlsson <peterk@debian.org>  Fri, 25 Aug 2000 20:10:00 +0200

crashmail (0.60-1) unstable; urgency=low

  * New upstream release.
  * Changed sample preferences to reflect Debian GNU/Linux paths.
  * AreaFixHelp.txt no longer compressed, so crashmail can use it directly.
  * Suggests zip, unzip and lha for [de]compression of mail bundles.

 -- Per Lundberg <plundis@debian.org>  Sun, 21 Nov 1999 20:30:47 +0100

crashmail (0.52-1) unstable; urgency=low

  * Initial Release.

 -- Per Lundberg <plundis@debian.org>  Tue, 19 Oct 1999 20:54:38 +0200

=== debian/control ===
Source: crashmail
Section: mail
Priority: extra
Maintainer: Robert James Clay <jame@rocasa.us>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
Homepage: http://ftnapps.sourceforge.net/crashmail.html
Vcs-Browser: http://sourceforge.net/p/ftnapps/crashmail/code/ci/debian/tree
Vcs-Git: git://git.code.sf.net/p/ftnapps/crashmail/code -b debian

Package: crashmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zip, unzip, unar, goldedplus | jamnntpd
Description: JAM and *.MSG capable Fidonet tosser
 CrashMail II is basically a more portable version of
 CrashMail, a tosser for Amiga computers. Users of the old
 Amiga version will probably find some things familiar
 while some features are gone such as the ARexx port (for
 obvious reasons!) and the GUI configuration editor. The
 only feature that CrashMail II has and the old CrashMail
 hasn't is support for JAM messagebases.

Package: crashmail-dbg
Architecture: any
Section: debug
Depends: crashmail (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for crashmail
 CrashMail II is basically a more portable version of
 CrashMail, a tosser for Amiga computers. Users of the old
 Amiga version will probably find some things familiar
 while some features are gone such as the ARexx port (for
 obvious reasons!) and the GUI configuration editor. The
 only feature that CrashMail II has and the old CrashMail
 hasn't is support for JAM messagebases.
 .
 This package contains the debugging symbols for crashmail.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for crashmail

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -rf bin
	$(MAKE) -C src cleanlinux

override_dh_auto_build:
	mkdir bin
	$(MAKE) -C src linux

override_dh_auto_install:
	dh_auto_install --destdir=debian/crashmail

override_dh_installdocs:
	dh_installdocs --link-doc=crashmail

override_dh_strip:
	dh_strip --dbg-package=crashmail-dbg

.PHONY: override_dh_strip

## crashmail 1.6

=== Makefile ===
# type either "make linux", "make win32", or "make os2" to compile

help:
	@echo You can use this Makefile in the following ways:
	@echo make linux ............ Make Linux binaries
	@echo make win32 ............ Make Win32 binaries
	@echo make os2 .............. Make OS/2 binaries
	@echo make cleanlinux ....... Remove object files under Linux
	@echo make cleanwin32 ....... Remove object files under Win32
	@echo make cleanos2 ......... Remove object files under OS/2
	@echo make tests ............ Run Tests (requires /bin/sh)

linux :
	mkdir -p bin
	make -C src -f Makefile linux

win32 :
	make -C src -f Makefile win32

os2 :
	make -C src -f Makefile os2

cleanlinux :
	rm -rf bin
	make -C src -f Makefile cleanlinux

cleanwin32 : 
	make -C src -f Makefile cleanwin32

cleanos2 : 
	make -C src -f Makefile cleanos2

.PHONY: tests
tests: linux
	make -C tests

=== debian/changelog ===
crashmail (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Add a debian/TODO file.
  * Add 'doc/AreafixHelp.txt' to debian/crashmail.docs.
  * Update the debhelper compatibility level from '8' to '9'.
  * Correct the file path in the 'jamlib' stanza in debian/copyright.
  * Add 'doc/example.prefs' to debian/crashmail.docs. (Closes: #791488)
  * Change 'dh_strip' option in debian/rules to generate a dbgsym package.
  * Changes to debian/control:
      Declare compliance with Debian Policy v4.1.1.
      Remove the no longer needed 'crashmail-dbg' stanza.
      Set the Vcs-Git URL to use 'https' instead of 'git'.
      Set the Vcs-Browser URL to use 'https' instead of 'http'.
      Update the debhelper Build-Depends version to '>= 9.20151219'.
  * Replace 'debian/crashlistout.1' with the upstream version in the file
    debian/crashmail.manpages.

 -- Robert James Clay <jame@rocasa.us>  Mon, 09 Oct 2017 19:59:13 -0400

=== debian/control ===
Source: crashmail
Section: mail
Priority: extra
Maintainer: Robert James Clay <jame@rocasa.us>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 9.20151219), dpkg-dev (>= 1.16.1~)
Homepage: http://ftnapps.sourceforge.net/crashmail.html
Vcs-Browser: https://sourceforge.net/p/ftnapps/crashmail/code/ci/debian/tree
Vcs-Git: https://git.code.sf.net/p/ftnapps/crashmail/code -b debian

Package: crashmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zip, unzip, unar, goldedplus | jamnntpd
Description: JAM and *.MSG capable Fidonet tosser
 CrashMail II is basically a more portable version of
 CrashMail, a tosser for Amiga computers. Users of the old
 Amiga version will probably find some things familiar
 while some features are gone such as the ARexx port (for
 obvious reasons!) and the GUI configuration editor. The
 only feature that CrashMail II has and the old CrashMail
 hasn't is support for JAM messagebases.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,6 @@
 	dh_installdocs --link-doc=crashmail
 
 override_dh_strip:
-	dh_strip --dbg-package=crashmail-dbg
+	dh_strip --dbgsym-migration='crashmail-dbg (<< 1.6-1~)'
 
 .PHONY: override_dh_strip

## crashmail 1.7

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,11 @@
 	@echo You can use this Makefile in the following ways:
 	@echo make linux ............ Make Linux binaries
 	@echo make win32 ............ Make Win32 binaries
+	@echo make osx .............. Make OS/X binaries
 	@echo make os2 .............. Make OS/2 binaries
 	@echo make cleanlinux ....... Remove object files under Linux
 	@echo make cleanwin32 ....... Remove object files under Win32
+	@echo make cleanosx ......... Remove object files under OS/X
 	@echo make cleanos2 ......... Remove object files under OS/2
 	@echo make tests ............ Run Tests (requires /bin/sh)
 
@@ -16,6 +18,9 @@
 
 win32 :
 	make -C src -f Makefile win32
+
+osx :
+	make -C src -f Makefile osx
 
 os2 :
 	make -C src -f Makefile os2
@@ -27,6 +32,9 @@
 cleanwin32 : 
 	make -C src -f Makefile cleanwin32
 
+cleanosx :
+	make -C src -f Makefile cleanosx
+
 cleanos2 : 
 	make -C src -f Makefile cleanos2

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,11 @@
 	@echo You can use this Makefile in the following ways:
 	@echo make linux ............ Make Linux binaries
 	@echo make win32 ............ Make Win32 binaries
+	@echo make osx .............. Make OS/X binaries
 	@echo make os2 .............. Make OS/2 binaries
 	@echo make cleanlinux ....... Remove object files under Linux
 	@echo make cleanwin32 ....... Remove object files under Win32
+	@echo make cleanosx ......... Remove object files under OS/X
 	@echo make cleanos2 ......... Remove object files under OS/2
 		
 linux :
@@ -21,6 +23,12 @@
 	make -C jamlib -f Makefile.win32
 	make -C oslib_win32 
 	make -f Makefile.win32
+
+osx :
+	make -C cmnllib -f Makefile.osx
+	make -C jamlib -f Makefile.osx
+	make -C oslib_linux
+	make -f Makefile.osx
 
 os2 :
 	make -C cmnllib -f Makefile.os2
@@ -40,10 +48,14 @@
 	make -C oslib_win32 clean
 	make -f Makefile.win32 clean
 
+cleanosx :
+	make -C cmnllib -f Makefile.osx clean
+	make -C jamlib -f Makefile.osx clean
+	make -C oslib_os2 clean
+	make -f Makefile.osx clean
+
 cleanos2 : 
 	make -C cmnllib -f Makefile.os2 clean
 	make -C jamlib -f Makefile.os2 clean
 	make -C oslib_os2 clean
 	make -f Makefile.os2 clean
-
-

=== src/oslib_linux/Makefile ===
INCDIR = ../

CC = gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wall -I $(INCDIR) -DPLATFORM_LINUX
AR = ar -ru
RM = rm -f

OBJS = osfile.o osdir.o osmisc.o osmem.o ospattern.o os.o

oslib.a : $(OBJS) 
	$(AR)	oslib.a $(OBJS)

# os

osfile.o : osfile.c
	$(CC) -c osfile.c -o osfile.o
 
osmisc.o : osmisc.c
	$(CC) -c osmisc.c -o osmisc.o

osdir.o : osdir.c
	$(CC) -c osdir.c -o osdir.o

osmem.o : osmem.c
	$(CC) -c osmem.c -o osmem.o

ospattern.o : ospattern.c
	$(CC) -c ospattern.c -o ospattern.o

os.o : os.c
	$(CC) -c os.c -o os.o

clean :
	$(RM) *.o *.a

=== debian/changelog ===
crashmail (1.7-5) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096476)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 19:48:16 +0300

crashmail (1.7-4) unstable; urgency=medium

  * QA upload.
  * debian/gbp.conf: Set default packaging branch.
  * debian/control: Bump debhelper compat to v13.
  * Bump Standards-Version to 4.6.2.
  * d/control: Fix Vcs-* fields to use Salsa GitLab.
  * debian/README.source: Dropped, useless.
  * debian/rules: Drop old dbgsym migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Feb 2023 10:28:58 -0500

crashmail (1.7-3) unstable; urgency=medium

  * QA Upload.
  * Fix FTCBFS (Thanks Helmut Grohne) (Closes: #978124)
    + cross.patch: Don't pass flags via CC.
    + Let dh_auto_build pass cross tools to make.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 15:10:28 +0000

crashmail (1.7-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (Closes: #976832) (see #982204)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 14:14:20 +0200

crashmail (1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957107)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 02 Dec 2020 21:49:50 +0000

crashmail (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy v4.1.5.
  * Add a debian/patches/03-MitigateErroneousFailure.patch file.
  * Add an 'override_dh_auto_test' stanza in the debian/rules file in order to
    run the upstream tests.
  * Set the 'Priority' from 'extra' back to 'optional' in debian/control.
  * Change DEB_BUILD_MAINT_OPTIONS in debian/rules from '-format' to '+all'.
  * Changes to debian/copyright:
    + Set the 'Format' URL to use the HTTPS protocol.
    + Update copyright information for the new upstream.

 -- Robert James Clay <jame@rocasa.us>  Wed, 18 Jul 2018 19:14:23 -0400

=== debian/control ===
Source: crashmail
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
Homepage: http://ftnapps.sourceforge.net/crashmail.html
Vcs-Git: https://salsa.debian.org/debian/crashmail.git
Vcs-Browser: https://salsa.debian.org/debian/crashmail

Package: crashmail
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 goldedplus | jamnntpd,
 unar,
 unzip,
 zip,
Description: JAM and *.MSG capable Fidonet tosser
 CrashMail II is basically a more portable version of
 CrashMail, a tosser for Amiga computers. Users of the old
 Amiga version will probably find some things familiar
 while some features are gone such as the ARexx port (for
 obvious reasons!) and the GUI configuration editor. The
 only feature that CrashMail II has and the old CrashMail
 hasn't is support for JAM messagebases.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for crashmail

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -rf bin
	$(MAKE) -C src cleanlinux

override_dh_auto_build:
	mkdir bin
	dh_auto_build --sourcedirectory=src -- linux

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C tests
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/crashmail

override_dh_installdocs:
	dh_installdocs --link-doc=crashmail

=== debian/watch ===
# Crashmail II watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for devscripts >= 2.9
http://sf.net/crashmail.ftnapps.p/crashmail-(.*)\.tar\.gz
